Bug 421551 - Cannot disable HAL device polling
Summary: Cannot disable HAL device polling
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: hal   
(Show other bugs)
Version: 5.1
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: David Zeuthen
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-12 14:15 UTC by Steve Snyder
Modified: 2013-06-20 12:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-15 02:47:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Snyder 2007-12-12 14:15:42 UTC
Description of problem:

No way for user to disable device polling other than editing system files

Version-Release number of selected component (if applicable):

hal-0.5.8.1-25.el5_1.1

How reproducible:

Always

Steps to Reproduce:
1. Research how to prevent HAL from polling my unused CD-ROM driver
2. Note references to utility "hal-disable-polling" which is not included in the
RHEL5.1 packages.
3. End up editing /usr/share/hal/fdi/policy/10osvendor/20-storage-methods.fdi to
prevent polling
  
Actual results:

Must edit system file to disable HAL's device polling.

Expected results:

There should be a way other than editing system files to disable HAL's device
polling

Additional info:

I only use my CD-ROM drive once every ~2 years, to upgrade the operating system.
 So why do I have to live with the high-frequency polling of the drive every
minute of every day?  This polling is consuming precious CPU and bus bandwidth
(at a rate of 37260 interrupts per hour) and providing nothing I want in return.

Please provide a method if disabling device polling.  I've edited the system
file as noted above but that change will be lost on the next update of the HAL
RPM.  I don't care if the solution is providing the "hal-disable-polling"
utility or some sort of /etc/sysconfig/haldaemon hack to the init script.

Thank you.

Comment 1 David Zeuthen 2007-12-15 02:47:53 UTC
You can simply drop an fdi in /etc/hal/fdi - that's why it's there (to allow
sysadmins to override policy). To make this even easier use the

for example

# cat /etc/hal/fdi/information/media-check-disable-DVD_GCC4244.fdi

<?xml version="1.0" encoding="UTF-8"?>
<deviceinfo version="0.2">
  <device>
    <match key="info.udi"
string="/org/freedesktop/Hal/devices/storage_model_CDRW/DVD_GCC4244">
      <merge key="storage.media_check_enabled" type="bool">false</merge>
    </match>
  </device>
</deviceinfo>


Comment 2 Sukhdev Jadhav 2013-06-20 12:10:42 UTC
If haldaemon is not install then how do i disable polling?
I am running on RHEL 5.5 64 bit.
I want to disable polling for tape.


Note You need to log in before you can comment on or make changes to this bug.